module ClientsHelper

  def show_client(client, template = nil)
  	unless client.nil?
       link_to show_person(client), dashboard_client_path(client), {title: "Übersicht anzeigen"}
  	else
  	  'n/a'
  	end
  end

  def get_portfolio_level_class(client_portfolio_level)

    case client_portfolio_level
    when 0
      portfolio_level_class = 'info'
    when 1
      portfolio_level_class = 'success'
    when 2
      portfolio_level_class = 'warning'
    when 3
      portfolio_level_class = 'danger'
    else
      portfolio_level_class = ''
    end

    portfolio_level_class
  end

  def show_duplicates(duplicates)

  	str = ''

  	duplicates.each do |person|

  	  # str += show_person(person) + ' ID ' + person.id.to_s + ', '

  	  # es dürfen keine Details zum Schüler, sondern nur Informationen zur Bezugsperson in OE B und Ortsname der OE B angezeigt werden
  	  str += 'In Einrichtung ' + show_institution(person.institution) + ', '
  	  str += 'in OE ' + show_parent_institution(person.institution) + ', '
  	  str += 'Schüler ' + show_person(person) + ' ID ' + person.id.to_s + ', '
  	end

  	str.html_safe
  end

end