module PortfolioCommentsHelper

  def can_block_item?(portfolio_comment)
    (current_user.person.is_a? ::Manager) || (current_user.person.is_a?(::Teacher) && portfolio_comment.can_block_item?(current_user.person.id))
  end

  def can_delegate?(portfolio_comment)
    (current_user.person.is_a? ::Manager) || (current_user.person.is_a?(::Teacher) && portfolio_comment.can_delegate?(current_user.person.id))
  end

end
