module AddressGeocoder

  class ResultWrapperFactory
    def self.createFromGeocoderResult(result)
      if result.is_a? Geocoder::Result::Google
        return AddressGeocoder::ResultWrapperGoogle.new(result)
      end
      raise Exception.new "Could not find wrapper class for #{result.class}"
    end

  end

end