module AddressConcern
  extend ActiveSupport::Concern

  included do
    belongs_to :address, autosave: true, dependent: :destroy
    delegate :lat,:lng, :street, :number,:zip,:city,:state,:country, :to => :address, allow_nil: true
    accepts_nested_attributes_for :address, reject_if: :all_blank
  end

end