module Portfolio
  class TemplateDocument < ::ActiveRecord::Base
    self.table_name = 'portfolio_template_documents'
    self.inheritance_column =nil


    belongs_to :portfolio_rule,
               class_name: '::Portfolio::Rule',
               inverse_of: :portfolio_conditions,
               foreign_key: 'rule_id'

    def url
      if  URI.parse(super).host
        return super
      else
        return ENV['CSB_API_DOMAIN'] + '/' + super
      end
    end

  end
end
