class CreateSupporters < ActiveRecord::Migration
  def change
    create_table :supporters do |t|
      t.string :first_name
      t.string :last_name
      t.integer :gender
      t.string :email
      t.string :phone
      t.string :mobile
      t.text :description
      t.references :institution, index: true, foreign_key: true

      t.timestamps null: false
    end
  end
end
