class ChangeDatatypeTeacherInstitutionReflations < ActiveRecord::Migration
  def change
    ActiveRecord::Base.connection.execute(
        "UPDATE teacher_institution_relations tir
         SET
          special_education_part_time=i.full_time_hours*special_education_part_time,
          normal_education_part_time=i.full_time_hours*normal_education_part_time
         FROM institutions i
         WHERE i.id = tir.institution_id"
    )

    change_column :teacher_institution_relations, :special_education_part_time, :integer
    change_column :teacher_institution_relations, :normal_education_part_time, :integer
    add_column :teacher_institution_relations, :spare_time, :integer, default: 0
  end
end
