class Feature474 < ActiveRecord::Migration
  def change
    add_reference :clients, :expertise_school_inspector, index: true
    add_foreign_key :clients, :managers, column: :expertise_school_inspector_id, on_delete: :nullify

    add_column :managers, :is_school_inspector, :boolean, default: false

    add_column :clients, :expertise_teacher_result, :integer, default: 0
    add_column :clients, :expertise_institution_result, :integer, default: 0
    add_column :clients, :expertise_inspector_result, :integer, default: 0
    add_column :clients, :expertise_manager_result, :integer, default: 0
    add_column :clients, :expertise_teacher_result_text, :text
    add_column :clients, :expertise_institution_result_text, :text
    add_column :clients, :expertise_inspector_result_text, :text
    add_column :clients, :expertise_manager_result_text, :text
  end
end
