task 'vsb:setup', [:admin_password,:region,:name,:admin_email] => :environment do |task,args|
  unless SystemSetting.setup_finished?
    puts "suche Registrierung"
    unless SystemSetting.vsb_registered?
      fail "Registrierung noch nicht durchgeführt"
    end
    puts "erstelle System"
    unless SystemSetting.any?
      SystemSetting.create!({region: args[:region], name: args[:name]})
    end
    puts "beende Schuljahre"
    unless Semester.any?
      fail "CsbApi::Semester keine vorhanden"
    end
    puts "begrüße Benutzer"
    unless User.any?
      ActiveRecord::Base.transaction do
        i=Institution.new({
            institution_type: Institution::TYPE_ORGANISATIONAL,
            name: 'ROOT',
            institution_category: InstitutionCategory.where(institution_type: 'organisational').first
        })
        i.save(validate: false)
        u=User.create!({:email => args[:admin_email], :super_admin => true, :password => args[:admin_password], :password_confirmation => args[:admin_password] })
        m=Manager.new({:first_name => 'ADMIN', :last_name  => 'ADMIN', can_log_in: true, institution: i, identity: u})
        m.save(validate: false)
      end
    end
    puts "bevölkere Welt"
    SystemSetting.setup_finished!
  end
end