module Portfolio
  module Conditions
    class ClassTeacherInvolvedMatcher < ItemMatcher

        def match?(portfolio_item)
          portfolio_item.portfolio_item_involved_teachers.each do |t|
            t.set_flags
            return true if t.class_teacher?
          end
          return false
        end

        def description
          'der Klassenlehrer muss beteiligt sein'
        end

      end
    end
end
