module Portfolio
  class RuleStep < ::ActiveRecord::Base
    self.table_name = 'portfolio_rule_steps'
    self.inheritance_column= nil

    belongs_to :portfolio_rule,
               class_name: '::Portfolio::Rule',
               foreign_key: 'rule_id',
               inverse_of: :allowed_portfolio_steps

    belongs_to :portfolio_step,
               class_name: '::Portfolio::Step',
               foreign_key: 'step_id',
               inverse_of: nil

  end
end
