class QuestionnaireResult < ActiveRecord::Base
  belongs_to :questionnaire
  validates_presence_of :questionnaire

  has_many :portfolio_dbrcs, inverse_of: :questionnaire_result


  def question
    questionnaire.questions.select{|question| question.id==question_id}.first
  end


  def group
    questionnaire.groups.select{|group| group.id==group_id}.first
  end

end
