class CreateNotifications < ActiveRecord::Migration
  def change
    create_table :notifications do |t|
      t.text :content
      t.datetime :start
      t.string :identifier
      #t.references :client, index: true, foreign_key: true
      #t.references :notificationable, polymorphic: true, index: true => index to long
      t.integer :notificationable_id
      t.string  :notificationable_type

      t.timestamps null: false
    end

    # add_index :notificationable_id, :notifications
    # add_index :notificationable_type, :notifications
    add_index :notifications, [:notificationable_id, :notificationable_type], name: :idx_notifications_on_type_and_id
  end
end
