class ChangeEvaluationAssociation < ActiveRecord::Migration
  def up
    change_table :portfolio_item_evaluations do |t|
      t.remove :portfolio_item_id
      t.references :portfolio_item_target
      t.remove :is_successful
    end
  end

  def down
    change_table :portfolio_item_evaluations do |t|
      t.remove :portfolio_item_target_id
      t.references :portfolio_item
      t.boolean :is_successful
    end
  end

end
