class CreateTableDiagnosticInstitutionStocks < ActiveRecord::Migration
  def change
    create_table :diagnostic_institution_stocks do |t|
      t.references :diagnostic, index: true, foreign_key: true
      t.references :institution, index: true, foreign_key: true
      t.integer :stock
      t.integer :borrowed
      t.timestamps null: false
    end
  end
end
