class AddPkToInstitutionHierarchies < ActiveRecord::Migration
  def change
    # following bug:
    # a table does not have a primary key.
    # this table ist defined as an association of another table.
    # this association is then eager loaded together with the main table
    # when calling the association, the collection is empty, even if there are records.
    # therefore institution_hierarchies need a primary key
    add_column :institution_hierarchies, :id, :primary_key
  end
end
