class ClientPhonetics < ActiveRecord::Migration
  require 'phonetic'
  def change
    create_table :client_phonetics do |t|
      t.references :client, index: { unique: true}
      t.string :last_name_koelner_phonetic_hash
      t.string :last_name_double_metaphone_pri_hash
      t.string :last_name_double_metaphone_alt_hash
      t.string :first_name_koelner_phonetic_hash
      t.string :first_name_double_metaphone_pri_hash
      t.string :first_name_double_metaphone_alt_hash
    end
    add_index :client_phonetics, :last_name_koelner_phonetic_hash
    add_index :client_phonetics, :last_name_double_metaphone_pri_hash
    add_index :client_phonetics, :last_name_double_metaphone_alt_hash
    add_index :client_phonetics, :first_name_koelner_phonetic_hash
    add_index :client_phonetics, :first_name_double_metaphone_pri_hash
    add_index :client_phonetics, :first_name_double_metaphone_alt_hash
    Client.all.each(&:save!)
  end
end
