namespace :assets do
  task :check do
    root_dir = File.join(File.dirname(__FILE__),"..","..")
    assets_last_modified_at  = Dir["#{root_dir}/app/assets/**/**"].map { |p| File.mtime(p) }.sort.last
    assets_last_compiled_at =  Dir["#{root_dir}/public/assets/**/**"].map { |p| File.mtime(p) }.sort.last
    if assets_last_compiled_at.nil?  || assets_last_modified_at.nil?
      fail "Assets need to precompiled;"
    end
    if assets_last_modified_at > assets_last_compiled_at
      fail "Assets need to precompiled; last asset modified at #{assets_last_modified_at}"
    end
  end
end